org.red5.server.net.rtmp.message

## Interface Constants

All Known Implementing Classes:
  Abort, Aggregate, AudioData, BaseEvent, BaseRTMPHandler, BytesRead, ChunkSize, ClientBW, ClientSharedObject, FileConsumer, FileStreamSource, FlexMessage, FlexSharedObjectMessage, FlexStreamSend, Header, Invoke, Notify, Ping, RTMPHandler, RTMPProtocolDecoder, RTMPProtocolEncoder, RTMPTHandler, RTMPTProtocolDecoder, RTMPTProtocolEncoder, RTMPUtils, ServerBW, SharedObject, SharedObjectMessage, Unknown, VideoData

    public interface Constants

Class for AMF and RTMP marker values constants

### Field Summary

Fields
`static int` `HANDSHAKE_SIZE` Size of initial handshake between client and server
`static byte` `HEADER_CONTINUE` There's more to encode
`static byte` `HEADER_NEW` New header marker
`static byte` `HEADER_SAME_SOURCE` Same source marker
`static byte` `HEADER_TIMER_CHANGE` Timer change marker
`static int` `MEDIUM_INT_MAX` Medium integer max value
`static byte` `SO_CLIENT_CLEAR_DATA` Clear event for Shared Object
`static byte` `SO_CLIENT_DELETE_DATA` Delete data for Shared Object
`static byte` `SO_CLIENT_INITIAL_DATA` Initial SO data flag
`static byte` `SO_CLIENT_SEND_MESSAGE` Send SO message flag
`static byte` `SO_CLIENT_STATUS` Shared Object status marker
`static byte` `SO_CLIENT_UPDATE_ATTRIBUTE` Client Shared Object attribute update
`static byte` `SO_CLIENT_UPDATE_DATA` Client Shared Object data update
`static byte` `SO_CONNECT` Shared Object connection
`static byte` `SO_DELETE_ATTRIBUTE` Shared Object attribute deletion flag
`static byte` `SO_DISCONNECT` Shared Object disconnection
`static byte` `SO_SEND_MESSAGE` Send message flag
`static byte` `SO_SET_ATTRIBUTE` Set Shared Object attribute flag
`static byte` `SOURCE_TYPE_LIVE` Data originated from a live encoder or stream.
`static byte` `SOURCE_TYPE_VOD` Data originated from a file.
`static byte` `TYPE_ABORT` Abort message
`static byte` `TYPE_AGGREGATE` Aggregate data marker
`static byte` `TYPE_AUDIO_DATA` Audio data marker
`static byte` `TYPE_BYTES_READ` Acknowledgment.
`static byte` `TYPE_CHUNK_SIZE` RTMP chunk size constant
`static byte` `TYPE_CLIENT_BANDWIDTH` Client (upstream) bandwidth marker
`static byte` `TYPE_EDGE_ORIGIN` Edge / Origin message.
`static byte` `TYPE_FLEX_MESSAGE` AMF3 message
`static byte` `TYPE_FLEX_SHARED_OBJECT` AMF3 shared object
`static byte` `TYPE_FLEX_STREAM_SEND` AMF3 stream send
`static byte` `TYPE_INVOKE` Invoke operation (remoting call but also used for streaming) marker
`static byte` `TYPE_NOTIFY` Notification is invocation without response
`static byte` `TYPE_PING` Ping is a stream control message, it has sub-types
`static byte` `TYPE_SERVER_BANDWIDTH` Server (downstream) bandwidth marker
`static byte` `TYPE_SHARED_OBJECT` Shared Object marker
`static byte` `TYPE_STREAM_METADATA` Stream metadata
`static byte` `TYPE_VIDEO_DATA` Video data marker

### Field Detail

#### SOURCE_TYPE_VOD

    static final byte SOURCE_TYPE_VOD

Data originated from a file.

See Also:
  Constant Field Values

#### SOURCE_TYPE_LIVE

    static final byte SOURCE_TYPE_LIVE

Data originated from a live encoder or stream.

See Also:
  Constant Field Values

#### MEDIUM_INT_MAX

    static final int MEDIUM_INT_MAX

Medium integer max value

See Also:
  Constant Field Values

#### TYPE_CHUNK_SIZE

    static final byte TYPE_CHUNK_SIZE

RTMP chunk size constant

See Also:
  Constant Field Values

#### TYPE_ABORT

    static final byte TYPE_ABORT

Abort message

See Also:
  Constant Field Values

#### TYPE_BYTES_READ

    static final byte TYPE_BYTES_READ

Acknowledgment. Send every x bytes read by both sides.

See Also:
  Constant Field Values

#### TYPE_PING

    static final byte TYPE_PING

Ping is a stream control message, it has sub-types

See Also:
  Constant Field Values

#### TYPE_SERVER_BANDWIDTH

    static final byte TYPE_SERVER_BANDWIDTH

Server (downstream) bandwidth marker

See Also:
  Constant Field Values

#### TYPE_CLIENT_BANDWIDTH

    static final byte TYPE_CLIENT_BANDWIDTH

Client (upstream) bandwidth marker

See Also:
  Constant Field Values

#### TYPE_EDGE_ORIGIN

    static final byte TYPE_EDGE_ORIGIN

Edge / Origin message.

See Also:
  Constant Field Values

#### TYPE_AUDIO_DATA

    static final byte TYPE_AUDIO_DATA

Audio data marker

See Also:
  Constant Field Values

#### TYPE_VIDEO_DATA

    static final byte TYPE_VIDEO_DATA

Video data marker

See Also:
  Constant Field Values

#### TYPE_FLEX_STREAM_SEND

    static final byte TYPE_FLEX_STREAM_SEND

AMF3 stream send

See Also:
  Constant Field Values

#### TYPE_FLEX_SHARED_OBJECT

    static final byte TYPE_FLEX_SHARED_OBJECT

AMF3 shared object

See Also:
  Constant Field Values

#### TYPE_FLEX_MESSAGE

    static final byte TYPE_FLEX_MESSAGE

AMF3 message

See Also:
  Constant Field Values

#### TYPE_NOTIFY

    static final byte TYPE_NOTIFY

Notification is invocation without response

See Also:
  Constant Field Values

#### TYPE_STREAM_METADATA

    static final byte TYPE_STREAM_METADATA

Stream metadata

See Also:
  Constant Field Values

#### TYPE_SHARED_OBJECT

    static final byte TYPE_SHARED_OBJECT

Shared Object marker

See Also:
  Constant Field Values

#### TYPE_INVOKE

    static final byte TYPE_INVOKE

Invoke operation (remoting call but also used for streaming) marker

See Also:
  Constant Field Values

#### TYPE_AGGREGATE

    static final byte TYPE_AGGREGATE

Aggregate data marker

See Also:
  Constant Field Values

#### HEADER_NEW

    static final byte HEADER_NEW

New header marker

See Also:
  Constant Field Values

#### HEADER_SAME_SOURCE

    static final byte HEADER_SAME_SOURCE

Same source marker

See Also:
  Constant Field Values

#### HEADER_TIMER_CHANGE

    static final byte HEADER_TIMER_CHANGE

Timer change marker

See Also:
  Constant Field Values

#### HEADER_CONTINUE

    static final byte HEADER_CONTINUE

There's more to encode

See Also:
  Constant Field Values

#### HANDSHAKE_SIZE

    static final int HANDSHAKE_SIZE

Size of initial handshake between client and server

See Also:
  Constant Field Values

#### SO_CLIENT_UPDATE_DATA

    static final byte SO_CLIENT_UPDATE_DATA

Client Shared Object data update

See Also:
  Constant Field Values

#### SO_CLIENT_UPDATE_ATTRIBUTE

    static final byte SO_CLIENT_UPDATE_ATTRIBUTE

Client Shared Object attribute update

See Also:
  Constant Field Values

#### SO_CLIENT_SEND_MESSAGE

    static final byte SO_CLIENT_SEND_MESSAGE

Send SO message flag

See Also:
  Constant Field Values

#### SO_CLIENT_STATUS

    static final byte SO_CLIENT_STATUS

Shared Object status marker

See Also:
  Constant Field Values

#### SO_CLIENT_CLEAR_DATA

    static final byte SO_CLIENT_CLEAR_DATA

Clear event for Shared Object

See Also:
  Constant Field Values

#### SO_CLIENT_DELETE_DATA

    static final byte SO_CLIENT_DELETE_DATA

Delete data for Shared Object

See Also:
  Constant Field Values

#### SO_CLIENT_INITIAL_DATA

    static final byte SO_CLIENT_INITIAL_DATA

Initial SO data flag

See Also:
  Constant Field Values

#### SO_CONNECT

    static final byte SO_CONNECT

Shared Object connection

See Also:
  Constant Field Values

#### SO_DISCONNECT

    static final byte SO_DISCONNECT

Shared Object disconnection

See Also:
  Constant Field Values

#### SO_SET_ATTRIBUTE

    static final byte SO_SET_ATTRIBUTE

Set Shared Object attribute flag

See Also:
  Constant Field Values

#### SO_SEND_MESSAGE

    static final byte SO_SEND_MESSAGE

Send message flag

See Also:
  Constant Field Values

#### SO_DELETE_ATTRIBUTE

    static final byte SO_DELETE_ATTRIBUTE

Shared Object attribute deletion flag

See Also:
  Constant Field Values